Start bot task
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
input*
conflictPolicy?soulfire.v1.BotTaskConflictPolicy
Value in
- "BOT_TASK_CONFLICT_POLICY_UNSPECIFIED"
- "BOT_TASK_CONFLICT_POLICY_REJECT"
- "BOT_TASK_CONFLICT_POLICY_QUEUE"
- "BOT_TASK_CONFLICT_POLICY_REPLACE"
- "BOT_TASK_CONFLICT_POLICY_SUSPEND_LOWER_PRIORITY"
reconnectPolicy?soulfire.v1.BotTaskReconnectPolicy
Value in
- "BOT_TASK_RECONNECT_POLICY_UNSPECIFIED"
- "BOT_TASK_RECONNECT_POLICY_FAIL"
- "BOT_TASK_RECONNECT_POLICY_PAUSE_AND_RESUME"
- "BOT_TASK_RECONNECT_POLICY_CONTINUE"
disconnectPolicy?soulfire.v1.BotTaskDisconnectPolicy
Value in
- "BOT_TASK_DISCONNECT_POLICY_UNSPECIFIED"
- "BOT_TASK_DISCONNECT_POLICY_CONTINUE"
- "BOT_TASK_DISCONNECT_POLICY_CANCEL_WITH_CALL"
priority?soulfire.v1.BotTaskPriority
Value in
- "BOT_TASK_PRIORITY_UNSPECIFIED"
- "BOT_TASK_PRIORITY_LOW"
- "BOT_TASK_PRIORITY_NORMAL"
- "BOT_TASK_PRIORITY_HIGH"
- "BOT_TASK_PRIORITY_CRITICAL"
deadline?string
Format
date-timeparentTaskId?|
Format
uuidcausationId?string|null
idempotencyKey?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks" \ -H "Content-Type: application/json" \ -d '{ "input": { "@type": "string" } }'{ "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8", "instanceId": "64d2028c-ae87-4069-a624-66089d957ef9", "botId": "58ed41f0-04bf-402f-9853-7143ef7dd5ce", "taskType": "string", "ownerId": "4d206909-730f-409a-88f6-dcfaa8fc28cc", "ownerName": "string", "status": "BOT_TASK_STATUS_UNSPECIFIED", "progress": { "fraction": 0.1, "current": "string", "total": "string", "message": "string", "detail": { "@type": "string" } }, "summary": "string", "failure": { "code": "string", "message": "string", "retryable": true, "detail": { "@type": "string" } }, "createdAt": "2019-08-24T14:15:22Z", "startedAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "deadline": "2019-08-24T14:15:22Z", "claimedResources": [ "BOT_TASK_RESOURCE_UNSPECIFIED" ], "parentTaskId": "string", "childTaskIds": [ "string" ], "causationId": "string", "idempotencyKey": "string", "reconnectPolicy": "BOT_TASK_RECONNECT_POLICY_UNSPECIFIED", "disconnectPolicy": "BOT_TASK_DISCONNECT_POLICY_UNSPECIFIED", "conflictPolicy": "BOT_TASK_CONFLICT_POLICY_UNSPECIFIED", "priority": "BOT_TASK_PRIORITY_UNSPECIFIED", "input": { "@type": "string" }, "result": { "@type": "string" }, "revision": "string"}How is this page?
